máy bơm nước hỏa tiễn công ty in ấn https://duan-knparadise.com/ Bơm nước hỏa tiễn bóp da nam Túi nilon PP cong ty in bieu mau
Nhờ các cao thủ VBA giúp cho - Diễn đàn của các kỹ sư kết cấu Việt Nam










































































Features
Go Back   Diễn đàn của các kỹ sư kết cấu Việt Nam > ỨNG DỤNG TIN HỌC TRONG THIẾT KẾ XÂY DỰNG > Lập trình tính toán, phân tích kết cấu
Tên thành viên
Mật mã
Tin HOT Thông tin BQT diễn đàn

Result  Reload Thống Kê - Diễn đàn của các kỹ sư kết cấu Việt Nam
All Forums | Thông báo | Văn Bản Pháp Luật | Văn Hóa Văn Nghệ Giao Lưu
Please wait...
Please wait...
Loading...
Trả lời
 
Ðiều Chỉnh Xếp Bài
Old 02-12-2007   #1
AutumnHeart_1982
Thành viên mới
 
Tham gia ngày: Nov 2007
Bài gởi: 11
Thanks: 0
Thanked 1 Time in 1 Post
Default Nhờ các cao thủ VBA giúp cho

Mình muốn vẽ 1 hình chữ nhật nhưng 4 góc là cung tròn (cốt đai dầm cột) nhưng không biết có cách nào nhanh và hay. Xin các cao thủ VBA chỉ giáo, mình đã nghiên cứu nhưng chưa ra. Cám ơn!
AutumnHeart_1982 vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn
Old 04-12-2007   #2
hqn
Thành viên mới
 
Tham gia ngày: Nov 2007
Bài gởi: 16
Thanks: 0
Thanked 2 Times in 2 Posts
Default Ðề: Nhờ các cao thủ VBA giúp cho

bạn muốn vẽ trong cad à
trong cad đã có sẵn tuỳ chọn khi vẽ bằng lệnh rec
chọn f
hqn vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn
Old 05-12-2007   #3
ThangCoi
Thành viên nhiệt huyết
 
ThangCoi's Avatar
 
Tham gia ngày: Mar 2006
Nơi Cư Ngụ: Không cố định
Bài gởi: 603
Thanks: 56
Thanked 279 Times in 104 Posts
Send a message via Yahoo to ThangCoi
Default Ðề: Nhờ các cao thủ VBA giúp cho

Trích:
Nguyên văn bởi AutumnHeart_1982
Mình muốn vẽ 1 hình chữ nhật nhưng 4 góc là cung tròn (cốt đai dầm cột) nhưng không biết có cách nào nhanh và hay. Xin các cao thủ VBA chỉ giáo, mình đã nghiên cứu nhưng chưa ra. Cám ơn!
Khi vẽ Rec trong lệnh CAD thực chất là bạn vẽ một LWPOLYLINE 4 cạnh. Lên trong VAB không có khái niệm AcadRectang. Bạn có thể vẽ các LWPOLYLINE và ARC cùng điểm
ThangCoi vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn
Old 05-12-2007   #4
henycuong
Researcher
 
henycuong's Avatar
 
Tham gia ngày: Oct 2006
Nơi Cư Ngụ: 401C_KTXBK
Bài gởi: 614
Thanks: 18
Thanked 232 Times in 81 Posts
Send a message via Yahoo to henycuong Send a message via Skype™ to henycuong
Default Ðề: Nhờ các cao thủ VBA giúp cho

Trích:
Nguyên văn bởi ThangCoi
Khi vẽ Rec trong lệnh CAD thực chất là bạn vẽ một LWPOLYLINE 4 cạnh. Lên trong VAB không có khái niệm AcadRectang. Bạn có thể vẽ các LWPOLYLINE và ARC cùng điểm
đồng ý với bác. nhưng kỹ sư ko nên tốn thời gian cho việc vẽ vời. nếu bác muốn làm phần mềm thì nghiên cứu. hehe tốn tg. làm việc khác kiếm tiền nhiều hơn. thói quen của dân Việt Nam chúng ta là hay om đòm. Biết rộng thôi, đừng biết sâu làm gì. biết rộng để làm quản lý---> money nhiều hơn
henycuong vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn
Old 05-12-2007   #5
ThangCoi
Thành viên nhiệt huyết
 
ThangCoi's Avatar
 
Tham gia ngày: Mar 2006
Nơi Cư Ngụ: Không cố định
Bài gởi: 603
Thanks: 56
Thanked 279 Times in 104 Posts
Send a message via Yahoo to ThangCoi
Default Ðề: Nhờ các cao thủ VBA giúp cho

Trích:
Nguyên văn bởi henycuong
đồng ý với bác. nhưng kỹ sư ko nên tốn thời gian cho việc vẽ vời. nếu bác muốn làm phần mềm thì nghiên cứu. hehe tốn tg. làm việc khác kiếm tiền nhiều hơn. thói quen của dân Việt Nam chúng ta là hay om đòm. Biết rộng thôi, đừng biết sâu làm gì. biết rộng để làm quản lý---> money nhiều hơn
Tôi không hiểu ý bạn nói ! Bạn có thể nói rõ nghĩa được không !
ThangCoi vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn
Old 05-12-2007   #6
henycuong
Researcher
 
henycuong's Avatar
 
Tham gia ngày: Oct 2006
Nơi Cư Ngụ: 401C_KTXBK
Bài gởi: 614
Thanks: 18
Thanked 232 Times in 81 Posts
Send a message via Yahoo to henycuong Send a message via Skype™ to henycuong
Default Ðề: Nhờ các cao thủ VBA giúp cho

Trích:
Nguyên văn bởi ThangCoi
Tôi không hiểu ý bạn nói ! Bạn có thể nói rõ nghĩa được không !
sorry đã làm các bác mất hứng. các bác nghiên cứu tiếp đi
henycuong vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn
Old 06-12-2007   #7
PhanTuHuong
Thành viên rất tích cực
 
Tham gia ngày: May 2006
Bài gởi: 392
Thanks: 152
Thanked 622 Times in 135 Posts
Default Ðề: Nhờ các cao thủ VBA giúp cho

Trích:
Nguyên văn bởi AutumnHeart_1982
Mình muốn vẽ 1 hình chữ nhật nhưng 4 góc là cung tròn (cốt đai dầm cột) nhưng không biết có cách nào nhanh và hay. Xin các cao thủ VBA chỉ giáo, mình đã nghiên cứu nhưng chưa ra. Cám ơn!
Điều quan trọng: nếu bạn muốn làm ra 1 cái gì thì phải có kiến thức về cái đó đã, tức là phải biết VBA và gửi code lên diễn đàn. Khi đó mọi người giúp đỡ dễ dàng hơn.

giày cao cổ nam

thay đổi nội dung bởi: PhanTuHuong, 21-03-2015 lúc 05:24 AM
PhanTuHuong vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn
Old 08-12-2007   #8
pvtdhxd
Thành viên
 
pvtdhxd's Avatar
 
Tham gia ngày: Mar 2007
Bài gởi: 90
Thanks: 1
Thanked 9 Times in 8 Posts
Default Ðề: Nhờ các cao thủ VBA giúp cho

Trích:
Nguyên văn bởi PhanTuHuong
Điều quan trọng: nếu bạn muốn làm ra 1 cái gì thì phải có kiến thức về cái đó đã, tức là phải biết VBA và gửi code lên diễn đàn. Khi đó mọi người giúp đỡ dễ dàng hơn.
để vẽ được bạn có thể gọi lệnh vẽ trong VBA bằng dòng lệnh sau đó...
ví dụ : vẽ dòng line :
điểm1(0 to 2) as double
điểm2(0 to 2) as double
thisdrawing.sencommand "Line " (sau Line phải để 1 dấu cách)
thisdrawing.sencommand " điểm1 & scrt & điểm2"
ghi chú : Scrt là lệnh thay lệnh enter (không nhớ lắm có phải lệnh enter là scrt không ).
pvtdhxd vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn
Old 08-12-2007   #9
PMXD
Moderator
 
PMXD's Avatar
 
Tham gia ngày: Sep 2004
Bài gởi: 205
Thanks: 0
Thanked 115 Times in 30 Posts
Default Ðề: Nhờ các cao thủ VBA giúp cho

Đây là một ví dụ để "uốn cong" PolyLine

Sub Example_SetBulge()
' This example creates a lightweight polyline in model space.
' It then finds and changes the bulge for a given segment.

Dim plineObj As AcadLWPolyline
Dim points(0 To 11) As Double

' Define the 2D polyline points
points(0) = 1: points(1) = 1
points(2) = 1: points(3) = 2
points(4) = 2: points(5) = 2
points(6) = 3: points(7) = 2
points(8) = 4: points(9) = 4
points(10) = 4: points(11) = 1

' Create a lightweight Polyline object in model space
Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
ZoomAll

' Find the bulge of the third segment
Dim currentBulge As Double
currentBulge = plineObj.GetBulge(3)
MsgBox "The bulge for the third segment is " & plineObj.GetBulge(3), , "SetBulge Example"

' Change the bulge of the third segment
plineObj.SetBulge 3, -0.5
plineObj.Update
MsgBox "The bulge for the third segment is now " & plineObj.GetBulge(3), , "SetBulge Example"

End Sub

Tuy nhiên tôi thấy method này hơi khó dùng
__________________
Công ty Cổ phần kỹ thuật công trình- Thương mại C.N.C.C
Email : info@cncc.vn
PMXD vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn
Old 08-12-2007   #10
ThangCoi
Thành viên nhiệt huyết
 
ThangCoi's Avatar
 
Tham gia ngày: Mar 2006
Nơi Cư Ngụ: Không cố định
Bài gởi: 603
Thanks: 56
Thanked 279 Times in 104 Posts
Send a message via Yahoo to ThangCoi
Default Ðề: Nhờ các cao thủ VBA giúp cho

Trích:
Nguyên văn bởi PMXD
Đây là một ví dụ để "uốn cong" PolyLine
.........................
Tuy nhiên tôi thấy method này hơi khó dùng
Em có dùng nó đôi lần nhưng sau đó lại phải viết lại code vì không kiểm soát nổi ! Để vẽ một hình chũ nhật 4 góc là cung tròn thì ta vẽ tùng Line và Arc một tuy nhiên đối tượng bị vụn và không chuyên nghiệp lắm !
Bạn thử dùng Dynamic Blocks xem sao !
ThangCoi vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn
Old 10-12-2007   #11
AutumnHeart_1982
Thành viên mới
 
Tham gia ngày: Nov 2007
Bài gởi: 11
Thanks: 0
Thanked 1 Time in 1 Post
Default Ðề: Nhờ các cao thủ VBA giúp cho

Cám ơn mọi người đã góp ý giúp đỡ, nhất là bác PMXD.

thay đổi nội dung bởi: AutumnHeart_1982, 10-12-2007 lúc 06:18 PM
AutumnHeart_1982 vẫn chưa có mặt trong diễn đàn   Trả Lời Với Trích Dẫn
Loading...
Trả lời

Ðiều Chỉnh
Xếp Bài

Quyền sử dụng ở Diễn Ðàn
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is Mở
Smilies đang Mở
[IMG] đang Mở
HTML đang Mở

Chuyển đến



Múi giờ GMT. Hiện tại là 01:43 AM.


DIỄN ĐÀN http://ketcau.com/forum NƠI HỘI TỤ CỦA CÁC KỸ SƯ KẾT CÂU VIỆT NAM
WWW.KETCAU.COM - CẦU NỐI CỦA CÁC KỸ SƯ KẾT CẤU CÔNG TRÌNH, ĐỊA KỸ THUẬT VIỆT NAM. DIỄN ĐÀN ĐƯỢC MUA BẢN QUYỀN CỦA JELSOFT ENTERPRISES Ltd. Thiết kế website